Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.util
Class OS

    java.lang.Object
      org.jdesktop.swingx.util.OS

    public class OS

extends java.lang.Object

Provides methods related to the runtime environment.

Constructor Summary
`OS()`

Method Summary
`static java.lang.String` | `getWindowsVisualStyle()` Returns the name of the current Windows visual style.
`static boolean` | `isLinux()`
`static boolean` | `isMacOSX()`
`static boolean` | `isUsingWindowsVisualStyles()`
`static boolean` | `isWindows()`
`static boolean` | `isWindows2003()`
`static boolean` | `isWindowsVista()`
`static boolean` | `isWindowsXP()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OS

    public OS()

Method Detail

### isMacOSX

    public static boolean isMacOSX()

  Returns:
    true if this VM is running on Mac OS X

### isWindows

    public static boolean isWindows()

  Returns:
    true if this VM is running on Windows

### isWindowsXP

    public static boolean isWindowsXP()

  Returns:
    true if this VM is running on Windows XP

### isWindows2003

    public static boolean isWindows2003()

  Returns:
    true if this VM is running on Windows 2003

### isWindowsVista

    public static boolean isWindowsVista()

  Returns:
    true if this VM is running on Windows Vista

### isLinux

    public static boolean isLinux()

  Returns:
    true if this VM is running on a Linux distribution

### isUsingWindowsVisualStyles

    public static boolean isUsingWindowsVisualStyles()

  Returns:
    true if the VM is running Windows and the Java application is rendered using XP Visual Styles.

### getWindowsVisualStyle

    public static java.lang.String getWindowsVisualStyle()

  Returns the name of the current Windows visual style.
  - it looks for a property name "win.xpstyle.name" in UIManager and if not found
  - it queries the win.xpstyle.colorName desktop property (`Toolkit.getDesktopProperty(java.lang.String)`)

  Returns:
    the name of the current Windows visual style if any.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.